Bug 71415 - kdesu doesn't support PAM
kdesu doesn't support PAM
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-08-13 07:28 EDT by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-22 08:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-08-13 07:28:16 EDT
Description of Problem: 
Since kdesu and applications using libkdesu don't support pam, pam_timestamp 
etc. aren't working for kcontrol modules. 
Version-Release number of selected component (if applicable): 
Comment 1 Petr Rockai 2005-03-22 08:25:20 EST
Hmm, kdesu is using either the "su" binary or "ssh" to gain root status. Both    
are using PAM for auth as far as i know. So i don't see the problem with it.  
If anyone can confirm that this really doesn't work, please reopen. 

Note You need to log in before you can comment on or make changes to this bug.